<template>
<q-page class="flex q-pa-md">
<div class="row full-width">
  <div class="col-4">
  </div>
  <div class="col-3 fixed-center">
      <q-card>
        <q-tabs
          v-model="tab"
          dense
          class="text-grey"
          active-color="primary"
          indicator-color="primary"
          align="justify"
          narrow-indicator
        >
          <q-tab name="Register" label="Register" />
        </q-tabs>

        <q-separator />

        <q-tab-panels v-model="tab" animated>
          <q-tab-panel name="Register">
          <login-register :tab="tab"/>
          </q-tab-panel>
        </q-tab-panels>
      </q-card>
  </div>
  <div class="col-4">
  </div>
</div>
</q-page>
</template>

<script>
export default {
  data () {
    return {
      tab: 'Register'
    }
  },
  components: {
    'login-register': require('components/register.vue').default
  }
}
// import axios from 'axios'

// export function register ({ commit }, form) {
//   return axios.post('api/auth/register', form)
//     .then(response => {
//       commit('login', { token: response.data.token, user: response.data.user })
//       setAxiosHeaders(response.data.token)
//     })
// }

// function setAxiosHeaders (token) {
//   axios.defaults.headers.common['Authorization'] = 'Bearer ' + token
// }
</script>
